Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkApplication<TKey, TAuthorization, TToken>

Represents an OpenIddict application.

##### Inheritance

System.Object
OpenIddictEntityFrameworkApplication<TKey, TAuthorization, TToken>
OpenIddictEntityFrameworkApplication

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.EntityFramework.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkApplication<TKey, TAuthorization, TToken>
        where TKey : IEquatable<TKey> where TAuthorization : class where TToken : class

##### Type Parameters

Name | Description
--- | ---
TKey |
TAuthorization |
TToken |

### Properties

#### Authorizations

Gets the list of the authorizations associated with this application.

##### Declaration

    public virtual ICollection<TAuthorization> Authorizations { get; }

##### Property Value

Type | Description
--- | ---
ICollection<TAuthorization> |

#### ClientId

Gets or sets the client identifier associated with the current application.

##### Declaration

    public virtual string ClientId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ClientSecret

Gets or sets the client secret associated with the current application. Note: depending on the application manager used to create this instance, this property may be hashed or encrypted for security reasons.

##### Declaration

    public virtual string ClientSecret { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ConcurrencyToken

Gets or sets the concurrency token.

##### Declaration

    public virtual string ConcurrencyToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ConsentType

Gets or sets the consent type associated with the current application.

##### Declaration

    public virtual string ConsentType { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DisplayName

Gets or sets the display name associated with the current application.

##### Declaration

    public virtual string DisplayName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DisplayNames

Gets or sets the localized display names associated with the current application, serialized as a JSON object.

##### Declaration

    public virtual string DisplayNames { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Id

Gets or sets the unique identifier associated with the current application.

##### Declaration

    public virtual TKey Id { get; set; }

##### Property Value

Type | Description
--- | ---
TKey |

#### Permissions

Gets or sets the permissions associated with the current application, serialized as a JSON array.

##### Declaration

    public virtual string Permissions { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### PostLogoutRedirectUris

Gets or sets the logout callback URLs associated with the current application, serialized as a JSON array.

##### Declaration

    public virtual string PostLogoutRedirectUris { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Properties

Gets or sets the additional properties serialized as a JSON object, or `null` if no bag was associated with the current application.

##### Declaration

    public virtual string Properties { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### RedirectUris

Gets or sets the callback URLs associated with the current application, serialized as a JSON array.

##### Declaration

    public virtual string RedirectUris { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Requirements

Gets or sets the requirements associated with the current application, serialized as a JSON array.

##### Declaration

    public virtual string Requirements { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Tokens

Gets the list of the tokens associated with this application.

##### Declaration

    public virtual ICollection<TToken> Tokens { get; }

##### Property Value

Type | Description
--- | ---
ICollection<TToken> |

#### Type

Gets or sets the application type associated with the current application.

##### Declaration

    public virtual string Type { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |